Subject: Re: PATCH: Fix "35531: fallback on file completion"
From: Mikael Magnusson <[email-masked]>
To: zsh workers <[email-masked]>
Date: Fri, 18 Mar 2016 17:11:40 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Fri, Mar 18, 2016 at 5:08 PM, Mikael Magnusson <[email-masked]> wrote:
> The above commit just changed a bunch of stuff without testing, the
> result was that the completer didn't work. It now works, to an extent.
>
> The one remaining caveat is that if you enter a subcommand the completer
> doesn't recognize, it will go on to offer subcommands instead of falling
> back to _default. I'm not sure what it's trying to do with the
> "sanitize context" stuff, or "shift words" etc which just makes the rest
> of the code not know where it is, but I don't care enough to rewrite it.
> ---
>  ChangeLog                    |  2 --

I apparently squashed my fixes into the revert commit a bit too
hastily as well :).

-- 
Mikael Magnusson